#PBS -o output.dat
#PBS -j oe
#PBS -q default
#PBS -N pi_mpi
#PBS -l nodes=2:ppn=4,walltime=0:60:00

#ulimit -l   
cat $PBS_NODEFILE
. /etc/profile.d/modules.sh
#module add mpi/OpenMPI 

export CORES_PER_NODE=4
export CORES=8

export PARNODES=`wc -l $PBS_NODEFILE |gawk '{print $1}'`
export UNIQNODES=`cat $PBS_NODEFILE |gawk '{print $1}' | uniq | wc -l`

cd $PBS_O_WORKDIR  

#mpdboot -n $UNIQNODES -f $PBS_NODEFILE -v
mpirun -machinefile $PBS_NODEFILE -np $CORES ./pi_mpi


